﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace CountValueDtgSQL
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        //initializes new instance 
        SqlConnection con = new SqlConnection();
        SqlDataAdapter da = new SqlDataAdapter();
        SqlCommand cmd = new SqlCommand();
        DataTable dt = new DataTable();
        //declare a variable
        string query;
        int tot = 0;

        //a method for filling data in the datagridview
        private void LoadBooks(string query, DataGridView dtg)
        {
            //opening connection
            con.Open();
            try
            {
                //initialize a new instance of sqlcommand
                cmd = new SqlCommand();
                //set a connection used by this instance of sqlcommand
                cmd.Connection = con;
                //set the sql statement to execute at the data source
                cmd.CommandText = query;
                //initialize a new instance of sqlDataAdapter
                da = new SqlDataAdapter();
                //set the sql statement or stored procedure to execute at the data source
                da.SelectCommand = cmd;
                //initialize a new instance of DataTable
                dt = new DataTable();
                //add or resfresh rows in the certain range in the datatable to match those in the data source.
                da.Fill(dt);
                //set the data source to display the data in the datagridview
                dtg.DataSource = dt;


            }
            catch (Exception ex)
            {
                //catching error 
                MessageBox.Show(ex.Message);
            }
            //release all resources used by the component
            da.Dispose();
            //closing connection
            con.Close();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //set a connection between SQL server and Visual C#
            con.ConnectionString = "Data Source=.\\SQLEXPRESS;Database=dbbooks;trusted_connection=true;";
           //set up a retrieve query
            query = "Select * From tblbooks";
            LoadBooks(query, dataGridView1);//call a load method
        }
       
        private void button1_Click(object sender, EventArgs e)
        {
            try{
            //'declaring variable as integer to store the value of the total rows in the datagridview
              int maxrow = dataGridView1 .Rows.Count -1;
              //'getting the values of specific rows
              for (int i = 0; i < maxrow; i++)
              {
                  //calculate the quantity of all books
                  tot += int.Parse (dataGridView1.Rows[i].Cells["qty"].Value .ToString ());
              }
                //adding values in the max rows of the dataGridview
              dataGridView1.Rows[maxrow].Cells[2].Value = "Total";
              dataGridView1.Rows[maxrow].Cells[3].Value = tot.ToString();
          
            }
            catch(Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}
